# Cancel Batch Scrape (/api-reference/endpoint/batch-scrape-delete)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 443 · updated: 2026-07-30 -->
Related: [Search](/api-reference/endpoint/search.md), [Search Feedback](/api-reference/endpoint/search-feedback.md), [Scrape](/api-reference/endpoint/scrape.md), [Batch Scrape](/api-reference/endpoint/batch-scrape.md), [Get Batch Scrape Status](/api-reference/endpoint/batch-scrape-get.md), [Get Batch Scrape Errors](/api-reference/endpoint/batch-scrape-get-errors.md)

> Are you an AI agent that needs a Firecrawl API key? See [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) for automated onboarding instructions.

`DELETE /batch/scrape/{id}`

Cancel a batch scrape job

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "The ID of the batch scrape job",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful cancellation",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "status": {
                "type": "string",
                "enum": [
                  "cancelled"
                ],
                "example": "cancelled"
              }
            }
          }
        }
      }
    },
    "404": {
      "description": "Batch scrape job not found",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "string",
                "example": "Batch scrape job not found."
              }
            }
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "string",
                "example": "An unexpected error occurred on the server."
              }
            }
          }
        }
      }
    }
  }
}
```
